<?
					if (!$game["loc"][$player["loc"]][$speak]["bankir"]) msg("<p>Это не банкир");
					if (!$to) {		// список
if (count($player["items"])==0) msg("У вас нет ни одного предмета!");
if (count($player["bank"])>20)msg("У Вас в банке полные ячейки!");
						$stmp="<span style=\"color:green\"><strong>Предметы</strong>:</span>";
						$ind=0; $count=0; if(!$start) $start=0;
						foreach(array_keys($player["items"]) as $i) {
							if ($ind>=$start && $ind<$start+$count_show) {	//FIX: может +1?
							$k=split("\|",$player["items"][$i]);
							$c=split("\|",$player["items"][$i]);
							if ($k[1]>1) $k=$k[0].""; else $k=$k[0];
							if ($player["equip"] && array_search($i,$player["equip"])) $k.=" [одето]";
$stmp.="\n<br/><a href=\"$PHP_SELF?sid=$sid&speak=$speak&id=$id&to=$i\">".$k."</a>($c[1])";

					}
							$ind++;
							}
						if ($start) {$stmp.= "\n<br/><a href=\"$PHP_SELF?sid=$sid&speak=$speak&id=$id\">^ </a>";}
						if ($start+$count_show<count($player["items"])) {if (!$start) $stmp.="\n<br/>"; $stmp.= "<a href=\"$PHP_SELF?sid=$sid&speak=$speak&id=$id&start=".($start+$count_show)."\">+ (".(count($player["items"])-$start-$count_show).")</a>";}
						// меню
						msg($stmp,"Положить в банк");
						}else {	// передаем $to
							if (!isset($player["items"][$to])) msg("<p>У вас нет этого предмета<br>		<a href=\"javascript:history.go(-1)\">назад</a><br>");
							$item=split("\|",$player["items"][$to]);
							// проверим кол-во
							if ($item[1]>1 && !$num) 
							{		
								// запросим кол-во
								$stmp="<form action=\"$PHP_SELF?sid=$sid&speak=$speak&id=$id&to=$to\" method=\"post\">
								<span style=\"color:red\">Укажите количество:</span>
								\n<br/><input name=\"num\" format=\"6n\" class=\"inup\"/>
								\n<br/><input type=\"submit\" value=\"Положить\" class=\"btn\"></form><br>		<a href=\"javascript:history.go(-1)\">назад</a><br>";
								msg($stmp);
							}
							$count = (int)$num;
							if (!$count || $count<1) $count=1;
							if ($count>$item[1]) $count=$item[1];
							// удаляем из игрока
							$item[1]-=$count;
							if ($item[1]<=0) {unset($player["items"][$to]);calcparam($login);} else $player["items"][$to]=implode("|",$item);
							// добавляем игроку в банк
							if (isset($player["bank"][$to])) $itemp=split("\|",$player["bank"][$to]); else {$itemp=$item; $itemp[1]=0;}
							$itemp[1]+=$count;
							$player["bank"][$to]=implode("|",$itemp);
msg("Вы положили в банк ".$count." ".$item[0]."<br/><a href=\"$PHP_SELF?sid=$sid&speak=$speak&id=$id\">[положить еще]</a>");
							}
							?>
